### Hierarchy

- GatewayHandler
  - ParallelGatewayHandler

### Implements

- IFlowNodeHandler

## Index

### Constructors

- constructor

### Properties

- datastoreService
- flowNodeHandlerFactory

### Methods

- createProcessToken
- execute
- executeBranchToJoinGateway
- executeIntern
- findJoinGateway
- getFlowNodeById
- getIncomingSequenceFlowsFor
- getNextFlowNodeFor
- getOutgoingSequenceFlowsFor
- mergeTokenHistory

## Constructors

### constructor

- new ParallelGatewayHandler(flowNodeHandlerFactory: IFlowNodeHandlerFactory, datastoreService: IDatastoreService): ParallelGatewayHandler

- - Defined in execution/handler/parallel_gateway_handler.ts:10

  #### Parameters

  - ##### flowNodeHandlerFactory: IFlowNodeHandlerFactory

  - ##### datastoreService: IDatastoreService

  #### Returns ParallelGatewayHandler

## Properties

### Private datastoreService

datastoreService: IDatastoreService

- Defined in execution/handler/parallel_gateway_handler.ts:10

### Private flowNodeHandlerFactory

flowNodeHandlerFactory: IFlowNodeHandlerFactory

- Defined in execution/handler/parallel_gateway_handler.ts:9

## Methods

### Private createProcessToken

- createProcessToken(context: ExecutionContext): Promise<IProcessTokenEntity>

- - Defined in execution/handler/parallel_gateway_handler.ts:69

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessTokenEntity>

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  Inherited from FlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Private executeBranchToJoinGateway

- executeBranchToJoinGateway(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext, joinGateway: INodeDefEntity): Promise<NextFlowNodeInfo>

- - Defined in execution/handler/parallel_gateway_handler.ts:57

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  - ##### joinGateway: INodeDefEntity

  #### Returns Promise<NextFlowNodeInfo>

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Overrides FlowNodeHandler.executeIntern

  - Defined in execution/handler/parallel_gateway_handler.ts:18

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Private findJoinGateway

- findJoinGateway(flowNode: INodeDefEntity, processDefinition: IProcessDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- - Defined in execution/handler/parallel_gateway_handler.ts:46

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processDefinition: IProcessDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- Inherited from FlowNodeHandler.getFlowNodeById

  - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getIncomingSequenceFlowsFor

- getIncomingSequenceFlowsFor(flowNodeId: string, processDefinition: IProcessDefEntity): IFlowDefEntity[]

- Inherited from GatewayHandler.getIncomingSequenceFlowsFor

  - Defined in execution/handler/gateway_handler.ts:6

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns IFlowDefEntity[]

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from FlowNodeHandler.getNextFlowNodeFor

  - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

### Protected getOutgoingSequenceFlowsFor

- getOutgoingSequenceFlowsFor(flowNodeId: string, processDefinition: IProcessDefEntity): IFlowDefEntity[]

- Inherited from GatewayHandler.getOutgoingSequenceFlowsFor

  - Defined in execution/handler/gateway_handler.ts:18

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns IFlowDefEntity[]

### Private mergeTokenHistory

- mergeTokenHistory(processToken: IProcessTokenEntity, tokenWithHistoryToMerge: IProcessTokenEntity): void

- - Defined in execution/handler/parallel_gateway_handler.ts:76

  #### Parameters

  - ##### processToken: IProcessTokenEntity

  - ##### tokenWithHistoryToMerge: IProcessTokenEntity

  #### Returns void

Generated using TypeDoc